跳转至

更新策略组

POST 更新策略组 nlaV1:acl:edit

POST /prod-api/waf/nlaV1/basic/modifyNlaACL

Body 请求参数

{
  "aclName": "酷酷酷",
  "remark": null,
  "aclStatus": "Off",
  "aclId": 74,
  "domainIds": [215, 233, 235]
}

请求参数

名称 位置 类型 必选 中文名 说明
Authorization header string -
body body ModifyNlaACLReqVO ModifyNlaACLReqVO -

返回示例

200 Response

{
  "msg": "成功",
  "code": 200,
  "data": {
    "aclId": 74,
    "aclName": "酷酷酷",
    "remark": null,
    "aclStatus": "Off",
    "domainIds": [215, 233, 235, 215, 233, 235]
  }
}

返回结果

状态码 状态码含义 说明 数据模型
200 OK OK Inline
201 Created Created -
401 Unauthorized Unauthorized -
403 Forbidden Forbidden -
404 Not Found Not Found -

返回数据结构

状态码 200

名称 类型 必选 约束 中文名 说明
» msg string true - -
» code integer true - -
» data object true - -
»» aclId integer true - -
»» aclName string true - -
»» remark null true - -
»» aclStatus string true - -
»» domainIds [integer] true - -

数据模型

ModifyNlaACLReqVO

{
  "aclId": 0,
  "aclName": "string",
  "aclStatus": "string",
  "domainIds": [0],
  "remark": "string"
}

ModifyNlaACLReqVO

属性

名称 类型 必选 约束 中文名 说明
aclId integer(int64) true - 规则id -
aclName string true - 规则名称 -
aclStatus string true - 规则状态 规则状态,取值有:
On: 启用;
Off: 关闭;
DetectionOnly:仅记录
domainIds [integer] true - 关联域名ids -
remark string false - 备注 -